## org.eclipse.jetty.servlet
Class FilterMapping

    java.lang.Object
      org.eclipse.jetty.servlet.FilterMapping

    public class FilterMapping

extends java.lang.Object

Field Summary
`static int` `ALL`
`static int` `ASYNC`
`static int` `DEFAULT` Dispatch types
`static int` `ERROR`
`static int` `FORWARD`
`static int` `INCLUDE`
`static int` `REQUEST`

Constructor Summary
`FilterMapping()`

Method Summary
`static int` `dispatch(DispatcherType type)` Dispatch type from name
`static DispatcherType` `dispatch(java.lang.String type)` Dispatch type from name
`java.lang.String` `getFilterName()`
`java.lang.String[]` `getPathSpecs()`
`java.lang.String[]` `getServletNames()`
`void` `setDispatcherTypes(java.util.EnumSet<DispatcherType> dispatcherTypes)`
`void` `setDispatches(int dispatches)`
`void` `setFilterName(java.lang.String filterName)`
`void` `setPathSpec(java.lang.String pathSpec)`
`void` `setPathSpecs(java.lang.String[] pathSpecs)`
`void` `setServletName(java.lang.String servletName)`
`void` `setServletNames(java.lang.String[] servletNames)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final int DEFAULT

  Dispatch types

  See Also:
    Constant Field Values

### REQUEST

    public static final int REQUEST

See Also:
  Constant Field Values

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### INCLUDE

    public static final int INCLUDE

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### ASYNC

    public static final int ASYNC

See Also:
  Constant Field Values

### ALL

    public static final int ALL

See Also:
  Constant Field Values

Constructor Detail

### FilterMapping

    public FilterMapping()

Method Detail

### dispatch

    public static DispatcherType dispatch(java.lang.String type)

  Dispatch type from name

### dispatch

    public static int dispatch(DispatcherType type)

  Dispatch type from name

### getFilterName

    public java.lang.String getFilterName()

  Returns:
    Returns the filterName.

### getPathSpecs

    public java.lang.String[] getPathSpecs()

  Returns:
    Returns the pathSpec.

### setDispatcherTypes

    public void setDispatcherTypes(java.util.EnumSet<DispatcherType> dispatcherTypes)

### setDispatches

    public void setDispatches(int dispatches)

  Parameters:
    `dispatches` - The dispatches to set.
  See Also:
    `DEFAULT`, `REQUEST`, `ERROR`, `FORWARD`, `INCLUDE`

### setFilterName

    public void setFilterName(java.lang.String filterName)

  Parameters:
    `filterName` - The filterName to set.

### setPathSpecs

    public void setPathSpecs(java.lang.String[] pathSpecs)

  Parameters:
    `pathSpecs` - The Path specifications to which this filter should be mapped.

### setPathSpec

    public void setPathSpec(java.lang.String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

### getServletNames

    public java.lang.String[] getServletNames()

  Returns:
    Returns the servletName.

### setServletNames

    public void setServletNames(java.lang.String[] servletNames)

  Parameters:
    `servletNames` - Maps the `named filter` to multiple servlets
  See Also:
    `setServletName(java.lang.String)`

### setServletName

    public void setServletName(java.lang.String servletName)

  Parameters:
    `servletName` - Maps the `named filter` to a single servlet
  See Also:
    `setServletNames(java.lang.String[])`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.